@import "~bootstrap/dist/css/bootstrap.min.css";
@import "~font-awesome/css/font-awesome.css";

@import "helper.css";
@import "loader.css";
@import "material-theme.scss";

$primary-color: #00594E;
$secondary-color: #EEEEEE;

.container-fluid {
  padding: 0px;

  .root {
    padding: 0px;
  }
}

.navbar {
  background: $primary-color;
  min-height: 50px;

  -webkit-box-shadow: 0px 10px 27px 0px rgba(49, 78, 94, 0.8);
  -moz-box-shadow: 0px 10px 27px 0px rgba(49, 78, 94, 0.8);
  box-shadow: 0px 10px 27px 0px rgba(49, 78, 94, 0.8);

  .nav-link {
    color: white !important;

    &:hover {
      text-shadow: 2px 2px 5px;
    }
  }

  .navbar-brand img {
    height: 30px;
    padding-bottom: 5px;
  }
}

.cursor-hand {
  cursor: pointer;
}

.invisible {
  opacity: 0;
}

mat-form-field {
  width: 100%;
}

table {
  width: 100%;

  thead {
    border-bottom: solid 2px $primary-color;

    .mat-header-cell {
      font-size: 14px;
      font-weight: bold;

      .mat-sort-header-container {
        &.mat-sort-header-sorted {
          color: $primary-color;

          .mat-sort-header-arrow {
            color: $primary-color;
          }
        }
      }
    }
  }
}

%manage-page-bar {

  .h1,
  .h2,
  .h3,
  .h4,
  .h5,
  .h6,
  h1,
  h2,
  h3,
  h4,
  h5,
  h6 {
    margin: 0px;
  }

  .cta {
    padding: 7px 0px;
  }
}

.manage-page-section-bar {
  @extend %manage-page-bar;
}

.manage-page-title-bar {
  @extend %manage-page-bar;
}

button {
  &.primary {
    background-color: $primary-color !important;
    color: #ffffff;
  }

  &.secondary {
    background-color: #007acc !important;
    color: #ffffff;
  }
}

input {
  &.file {
    background: $primary-color;
    color: #ffffff;
    padding: 5px;
    border-radius: 5px;
  }
}

a {
  &.primary {
    color: $primary-color;
  }
}

.landing {
  .hero-container {
    padding: 1px 0px;
    background-color: $secondary-color;
    color: #ffffff;

    img {
      -webkit-box-shadow: 5px 5px 44px 0px $primary-color;
      -moz-box-shadow: 5px 5px 44px 0px $primary-color;
      box-shadow: 5px 5px 44px 0px $primary-color;
    }
  }
}

.resident {

  .hero-container {
    padding: 20px 0px;
    background-color: $secondary-color;
  }

  .permit-type {
    border: solid 2px #EEEEEE;
    padding: 20px 15px;
    text-align: left;
    min-height: 160px;
    margin-top: 20px;
    cursor: pointer;

    &:hover {
      background-color: $secondary-color;
    }
  }
}

.mat-snack-bar-container {
  &.success {
    background-color: $primary-color !important;
    color: #ffffff !important;
  }

  &.error {
    background-color: #f44336 !important;
    color: #ffffff !important;
  }

  &.warning {
    background-color: #ffa500 !important;
    color: #ffffff !important;
  }
}

.mat-card-request-response {
  height: 500px;
  overflow: auto;
}

.pre-text-wrap {
  white-space: pre-wrap;
}


.error {
  color: #ff0000;
  top: 42px;
  font-size: 10px;
}

ul.modal-result {
  list-style: none;
  display: inline-block;
  padding: 0px;
  float: left;

  li {
    min-height: 25px;

    span {
      margin: 0;
      position: relative;
      top: -8px;
    }
  }
}

.mat-model-result {
  height: 100%;
}

.permit-manage {

  .permit-card {
    border: 1px solid;

    .permit-card-header {
      background: #EEEEEE;
    }

    li {
      list-style: none;
    }
  }
}

.overflow-none {
  overflow: hidden;
}

.image-preview {
  width: 200px;
}
